FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 01-26-2011, 05:51 AM
Mick
 
Default What needs x11-libs/libxkbui?

equery depends doesn't show anything ... so I followed emerge --depclean's
suggestion and unmerged it. Have I borked anything?

I'm asking this, because it also suggested I remove dev-libs/boost-1.41.0-r3
and dev-util/boost-build-1.41.0, but akonadi would not start without them
(dbus error).
--
Regards,
Mick
 
Old 01-26-2011, 06:31 AM
Nils Andresen
 
Default What needs x11-libs/libxkbui?

Hi,

> equery depends doesn't show anything ... so I followed emerge --depclean's
> suggestion and unmerged it. *Have I borked anything?
Most probably not.
I generally trust --depclean, But I generally follow --depclean's
advice and run revdep-rebuild afterwards.

> I'm asking this, because it also suggested I remove dev-libs/boost-1.41.0-r3
> and dev-util/boost-build-1.41.0, but akonadi would not start without them
> (dbus error).
IMO, if akonadi depends on boost, the ebuild should reflect that. Have
you tried rebuilding akonadi?
(Did you ran revdep-rebuild?)

Nils
 
Old 01-26-2011, 06:41 AM
Blackdream W
 
Default What needs x11-libs/libxkbui?

If u try emerge -Ca* libxkbui && emerge -ca

what output u get?

if there is any package depend on it,just run emerge -DNua world to fix it.



2011/1/26 Mick <michaelkintzios@gmail.com>


equery depends doesn't show anything ... so I followed emerge --depclean's

suggestion and unmerged it. *Have I borked anything?



I'm asking this, because it also suggested I remove dev-libs/boost-1.41.0-r3

and dev-util/boost-build-1.41.0, but akonadi would not start without them

(dbus error).

--

Regards,

Mick



--
Ben.Wong
 
Old 01-26-2011, 07:51 AM
Neil Bothwick
 
Default What needs x11-libs/libxkbui?

On Wed, 26 Jan 2011 06:51:10 +0000, Mick wrote:

> equery depends doesn't show anything ... so I followed emerge
> --depclean's suggestion and unmerged it. Have I borked anything?

equery depends is unrelaible, use

emerge --depclean -pv cat/pkg


--
Neil Bothwick

I am sitting on the toilet with your article before me. Soon it will be
behind me.
 

Thread Tools




All times are GMT. The time now is 09:35 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org